jQuery( document ).on( 'change', 'input[name="mdwc-midnight_deals"]', function() {
    if ( ! jQuery( this ).is( ':checked' ) ) {
        // Uncheck all other checkboxes with the same name | Variable Product conflict
        jQuery( 'input[name="mdwc-midnight_deals"]' ).prop( 'checked', false );
    }
});